<?php
/**
 * Plugin Acces restreints Giseh 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/ciar_commun');
include_spip('inc/texte');


function formulaires_ciar_gerer_gestionnaires_charger_dist($id_rubrique, $pagination=0, $debut_auteur=0, $recherche='', $retour='', $config_fonc='', $row=array(), $hidden='')
{		
	$id_rubrique = intval($id_rubrique);
        $pagination = intval($pagination);
        $debut_auteur = intval($debut_auteur);
        if (!$pagination){
            $pagination = 10;
        }
        $valeurs = array();
	$valeurs['id_rubrique'] = $id_rubrique;
	$valeurs['tableau_auteurs'] = array();
	$valeurs['liste_auteurs'] = "";
	$valeurs['tableau_membres'] = array();
	$valeurs['liste_membres'] = "";
	$valeurs['ci_pagination'] = $pagination;
        $valeurs['recherche'] = $recherche;

	if (!autoriser('configurer','configuration'))
		return false;

	if ($id_rubrique>0) {
		// gestionnaires actuels de ce groupe
		$oldauteurs = ciar_liste_gestionnaires_ec($id_rubrique);
		if ($oldauteurs){
			$valeurs['tableau_auteurs'] = $oldauteurs;
			$valeurs['liste_auteurs'] = implode(",", $oldauteurs);
		}

		// auteurs ayant actuellement acces a cette rubrique
		$oldmembres = ciar_liste_auteurs_acces_rubrique($id_rubrique,$pagination,$debut_auteur,$recherche);
		if ($oldmembres) {
			$valeurs['tableau_membres'] = $oldmembres;
			$valeurs['liste_membres'] = implode(",", $oldmembres);
		}
	}

	$valeurs['_hidden'] = "<input type='hidden' name='id_rubrique' value='".$id_rubrique."' />"
				. "<input type='hidden' name='ciar_gerer_gestionnaires_img_avant' value='".$valeurs['liste_auteurs']."' />";

	
	return $valeurs;
}

function formulaires_ciar_gerer_gestionnaires_verifier_dist($id_rubrique, $pagination=0, $debut_auteur=0, $recherche='', $retour='', $config_fonc='', $row=array(), $hidden='')
{
	$erreurs = array();
	return $erreurs;
}

function formulaires_ciar_gerer_gestionnaires_traiter_dist($id_rubrique, $pagination=0, $debut_auteur=0, $recherche='', $retour='', $config_fonc='', $row=array(), $hidden='')
{
        $pagination = intval($pagination);
        $debut_auteur = intval($debut_auteur);
        if (!$pagination){
            $pagination = 10;
        }
        $res = array();
	$id_rubrique = intval($id_rubrique);
	$titre_rubrique = '';
	$row = sql_fetsel("titre", "spip_rubriques", "id_rubrique=$id_rubrique");
	if ($row)
		$titre_rubrique = supprimer_numero($row['titre']);
	
	$auteurs = _request('auteurs');
	if (!$auteurs) $auteurs = array();
	$insertauteurs = array();
	$oldauteurs = array();
	
	// auteurs ayant actuellement acces a cette rubrique
	$oldauteurs = ciar_liste_auteurs_acces_rubrique($id_rubrique,$pagination,$debut_auteur,$recherche);
	
	// surcharges de statuts pour cette rubrique memorises dans la base
	$oldsurcharges = ciar_liste_surcharge_auteurs_acces_rubrique($id_rubrique,$pagination,$debut_auteur,$recherche);	
	
	// auteur qui manipule	
	$connect_id_auteur = $GLOBALS['visiteur_session']['id_auteur'];

	
	// si le gestionnaire ajoute n'est pas deja membre de l'EC => l'ajouter a l'EC
	if (isset($auteurs) AND is_array($auteurs)) {
		foreach ($auteurs as $auteur) {
			$auteur = intval($auteur);
			if (in_array($auteur,$oldauteurs)){
				// si le nouvel auteur est le meme que celui en base, ne rien faire
			} elseif ($auteur>0) {
				// sauf celui qui manipule 
				if ($auteur!=$connect_id_auteur)
					$insertauteurs[] = $auteur;
			}		
		}

		if ($insertauteurs)
			ciar_ajouter_auteurs_dans_ec($insertauteurs,$id_rubrique); 

	}
	
	
	// puis lui ajouter le statut de gestionnaire
	if (isset($auteurs) AND is_array($auteurs)) {
		foreach ($auteurs as $auteur) {
			// sauf celui qui manipule 
			if ($auteur!=$connect_id_auteur)
				sql_updateq("spip_ciar_auteurs_acces_rubriques", array("cistatut_auteur_rub" => "eccma"), "id_rubrique=".$id_rubrique." AND id_auteur=".$auteur);
		}
	}
	
	
	// tracer
	if (defined('_DIR_PLUGIN_CITRACE')){
		if ($citrace = charger_fonction('citrace', 'inc')) {
			include_spip('inc/texte');

			foreach ($auteurs as $auteur) {
				// sauf celui qui manipule 
				if ($auteur!=$connect_id_auteur){
					$nom ="";
					$email_auteur ="";
					$row = sql_fetsel("id_auteur,nom,email", "spip_auteurs", "id_auteur=$auteur");
					if ($row){
						$nom = typo($row['nom']);
						$email_auteur = typo($row['email']);						
	        }
					$message = '('.$titre_rubrique.') - ajout du gestionnaire:'.$nom.' / '.$email_auteur.' / id_auteur='.$auteur;				
					$citrace('rubrique', $id_rubrique, _T('ciar:titre_mail_ajout_gestionnaire'), $message, $id_rubrique);
				}
			}
		}
	}


	// envoyer un mail aux membres de l'EC
	if ($oldauteurs AND is_array($oldauteurs)){
		$tableau_email = array();
		$result = sql_select("email", "spip_auteurs", "id_auteur IN (".implode(",",$oldauteurs).")","email");
		while ($row = sql_fetch($result))
			$tableau_email[] = $row['email'];

		$noms = array();
		foreach ($auteurs as $auteur) {
			// sauf celui qui manipule 
			if ($auteur!=$connect_id_auteur){
				$row = sql_fetsel("id_auteur,nom", "spip_auteurs", "id_auteur=$auteur");
				if ($row)
					$noms[] = typo($row['nom']);
			}
		}

		ciar_envoi_mail_ajout_gestionnaire($tableau_email,$titre_rubrique,$noms);
	}	
	
	$res['message_ok'] = "";
	$res['redirect'] = generer_url_ecrire("ciar_config");
	
	return $res;	
}


function ciar_liste_gestionnaires_ec($id_rubrique){
	$oldauteurs = array();
	
	$result = sql_select("id_auteur,cistatut_auteur_rub", "spip_ciar_auteurs_acces_rubriques", "id_rubrique=".intval($id_rubrique),"","id_auteur");
	while ($row = sql_fetch($result)) {
		if ($row['cistatut_auteur_rub']=='eccma')
			$oldauteurs[] = $row['id_auteur'];	
	}
		
	return $oldauteurs;
}

function ciar_envoi_mail_ajout_gestionnaire($emails, $titre_rubrique, $noms) {
        $return = '';
	if ($emails AND is_array($emails)){

		if (!empty($GLOBALS['visiteur_session']['email'])){
			$ci_tableau = explode('@',$GLOBALS['visiteur_session']['email']);
			$ci_nom = strtolower($ci_tableau[0]);
			$ci_nom = str_replace('.', ' ',$ci_nom);
		} else {
			$ci_nom = $GLOBALS['visiteur_session']['nom'];
		}

		$titre = textebrut(typo($GLOBALS['meta']['nom_site']." : "._T('ciar:titre_mail_ajout_gestionnaire')));
		$texte = _T('ciar:texte_mail_ajout_gestionnaire').' " '.textebrut(typo(implode(', ',$noms))).' " '
				. _T('ciar:texte_mail_ajout_gestionnaire2').' " '.textebrut(typo($titre_rubrique)).' " '
				. _T('ciar:texte_mail_ajout_gestionnaire3').' '.textebrut(typo($ci_nom)).' '._T('ciar:message_auto').'.';
	
		$envoyer_mail = charger_fonction('envoyer_mail','inc');

		foreach($emails AS $email)
			$envoyer_mail($email,$titre, $texte);
	}

	return $return;
}


?>